### Class

# Soup CookieJarDB

#### Description [src]

    final class Soup.CookieJarDB : Soup.CookieJar {
      /* No available fields */
    }

Database-based Cookie Jar.

`SoupCookieJarDB` is a `SoupCookieJar` that reads cookies from and writes them to a sqlite database in the new Mozilla format.

(This is identical to `SoupCookieJarSqlite` in libsoup-gnome; it has just been moved into libsoup proper, and renamed to avoid conflicting.)

#### Ancestors

- SoupCookieJar
- GObject

#### Implements

- SoupSessionFeature

#### Constructors

###### soup_cookie_jar_db_new

Creates a `SoupCookieJarDB`.

#### Instance methods

##### Methods inherited from SoupCookieJar (13)

###### soup_cookie_jar_add_cookie

Adds `cookie` to `jar`.

###### soup_cookie_jar_add_cookie_full

Adds `cookie` to `jar`.

###### soup_cookie_jar_add_cookie_with_first_party

Adds `cookie` to `jar`.

###### soup_cookie_jar_all_cookies

Constructs a `GList` with every cookie inside the `jar`.

###### soup_cookie_jar_delete_cookie

Deletes `cookie` from `jar`.

###### soup_cookie_jar_get_accept_policy

Gets `jar`‘s `SoupCookieJarAcceptPolicy`.

###### soup_cookie_jar_get_cookie_list

Retrieves the list of cookies that would be sent with a request to `uri` as a `GList` of `SoupCookie` objects.

###### soup_cookie_jar_get_cookie_list_with_same_site_info

This is an extended version of `soup_cookie_jar_get_cookie_list()` that provides more information required to use SameSite cookies.

###### soup_cookie_jar_get_cookies

Retrieves (in Cookie-header form) the list of cookies that would be sent with a request to `uri`.

###### soup_cookie_jar_is_persistent

Gets whether `jar` stores cookies persistenly.

###### soup_cookie_jar_set_accept_policy

Sets `policy` as the cookie acceptance policy for `jar`.

###### soup_cookie_jar_set_cookie

Adds `cookie` to `jar`, exactly as though it had appeared in a Set-Cookie header returned from a request to `uri`.

###### soup_cookie_jar_set_cookie_with_first_party

Adds `cookie` to `jar`, exactly as though it had appeared in a Set-Cookie header returned from a request to `uri`.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

###### Soup.CookieJarDB:filename

Cookie-storage filename.

##### Properties inherited from SoupCookieJar (2)

###### Soup.CookieJar:accept-policy

The policy the jar should follow to accept or reject cookies.

###### Soup.CookieJar:read-only

Whether or not the cookie jar is read-only.

#### Signals

##### Signals inherited from SoupCookieJar (1)

###### Soup.CookieJar::changed

Emitted when `jar` changes.

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct SoupCookieJarDBClass {
      SoupCookieJarClass parent_class;

    }

###### Class members

`parent_class`

    SoupCookieJarClass

| No description available.